SystemOrganization addCategory: #TusLibros!

TestCase subclass: #EditorialTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TusLibros'!

!EditorialTest methodsFor: 'carritoIntansce' stamp: 'SebastianGarbi 5/27/2013 21:09'!
carrito
	^Carrito new.! !

!EditorialTest methodsFor: '01- Carrito' stamp: 'SebastianGarbi 5/27/2013 21:09'!
test01CarritoShouldBeEmptyAfterCreation
	self assert: (self carrito isEmpty). ! !

!EditorialTest methodsFor: '01- Carrito' stamp: 'SebastianGarbi 5/27/2013 21:29'!
test02CarritoMustHaveABookAfterAdding
	|unCarrito unLibro unNumero|
	unCarrito := self carrito.
	unLibro := self libro.
	unNumero := 1.
	unCarrito add: unNumero of: unLibro.
	self deny:  (unCarrito ) isEmpty. 
	self assert:  (unCarrito contains: unLibro). 
	self assert:  ((unCarrito quantityOf: unLibro) = unNumero).! !

!EditorialTest methodsFor: '01- Carrito' stamp: 'SebastianGarbi 5/27/2013 21:28'!
test03CanIncreaseBookQuantity
	|unCarrito unLibro unNumero|
	unCarrito := self carrito.
	unLibro := self libro.
	unNumero := 1.
	unCarrito add: unNumero of: unLibro.
	unCarrito add: unNumero of: unLibro.
	 
	self assert:  ((unCarrito quantityOf: unLibro) = (unNumero * 2)).! !

!EditorialTest methodsFor: '01- Carrito' stamp: 'SebastianGarbi 5/27/2013 21:39'!
test04CanAddDifferentBooks
	|unCarrito unLibro otroLibro unNumero|
	unCarrito := self carrito.
	unLibro := self libro.
	otroLibro := self otroLibro.
	unNumero := 1.
	unCarrito add: unNumero of: unLibro.
	unCarrito add: unNumero of: otroLibro .
	 
	self assert: (unCarrito contains: unLibro).
	self assert: (unCarrito contains: otroLibro).! !

!EditorialTest methodsFor: '01- Carrito' stamp: 'SebastianGarbi 5/27/2013 21:52'!
test05AddingDifferentBooksRespectQuantities
	|unCarrito unLibro otroLibro unNumero otroNumero|
	unCarrito := self carrito.
	unLibro := self libro.
	otroLibro := self otroLibro.
	unNumero := 5.
	otroNumero := 4.
	unCarrito add: unNumero of: unLibro.
	unCarrito add: otroNumero of: otroLibro .
	 
	self assert: (unCarrito quantityOf: unLibro ) = unNumero .
	self assert: (unCarrito quantityOf: otroLibro) = otroNumero .! !

Object subclass: #Carrito
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TusLibros'!

!Carrito methodsFor: 'accessing' stamp: 'SebastianGarbi 5/27/2013 21:53'!
isEmpty
	self shouldBeImplemented.! !
